// <#-- Service Daily Summary Store -->
Ext.define('App.store.ServiceDailySummaryStore', {
	extend: 'Ext.data.Store',

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/maint/service-log/daily-summary'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
					idProperty: 'id'
				}
			},
			fields: [
				
				{
					name: 'frequency',
					type: 'string'
				},
				{
					name: 'incompleteCount',
					type: 'int'
				},
				{
					name: 'totalCount',
					type: 'int'
				}
			],
		},
		cfg)]);
	}
});

// <#-- Pm Plan Daily Summary Store -->
Ext.define('App.store.PmPlanDailySummaryStore', {
	extend: 'Ext.data.Store',

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/maint/pm-plan/daily-summary'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
					idProperty: 'id'
				}
			},
			fields: [
				
				{
					name: 'frequency',
					type: 'string'
				},
				{
					name: 'incompleteCount',
					type: 'int'
				},
				{
					name: 'totalCount',
					type: 'int'
				}
			],
		},
		cfg)]);
	}
});

// <#-- Incident Problem Pending Summary Store -->
Ext.define('App.store.DashboardPendingSummaryStore', {
	extend: 'Ext.data.Store',

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/dashboard/dashboard-pending-summary/list.json'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
					idProperty: 'id'
				}
			},
			fields: [
				
				{
					name: 'type',
					type: 'string'
				},
				{
					name: 'todayCompleteCount',
					type: 'int'
				},
				{
					name: 'todayTotalCount',
					type: 'int'
				},
				{
					name: 'accuPendingCount',
					type: 'int'
				}
			],
		},
		cfg)]);
	}
});